Update field by ID

Update a field by ID

Updates the search configuration for an existing field.

Requires authentication.

Request

PUT /field/{id}

Path Parameters

ParameterTypeRequiredDescription
idintegerYesThe ID of the field configuration to update.

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
activebooleanNoEnable or disable this field for searching.
boostFactornumberNoUpdated relevance boost (1–10).

Example Request

{
  "active": true,
  "boostFactor": 5
}

Response

Returns the updated field configuration.

Path Params
string
required
Body Params
string
boolean

If the active flag is set to false, the field will not be used for searching.

number

The boost to apply to the field. This can be a positive value between 1 and 10. The higher the boost, the more relevant a hit in this field is to the ranking of the search results. If the value is set to 1, no boosting will be applied to the stream.

Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!